Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  AutoCAD Civil 3D
  C3D 2008 nach Microstation V8

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   C3D 2008 nach Microstation V8 (1024 mal gelesen)
PetGrue
Mitglied
Dipl.-Ing. Str.planung


Sehen Sie sich das Profil von PetGrue an!   Senden Sie eine Private Message an PetGrue  Schreiben Sie einen Gästebucheintrag für PetGrue

Beiträge: 54
Registriert: 05.07.2007

C3D 2008 SP2
Win XP Pro SP3
Notebook Acer TravelMate 6592
Intel Core Duo 2 GHz, 2GB RAM

erstellt am: 05. Jul. 2007 14:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ich möchte DGM's aus C3D nach Microstation exportieren. Leider scheint das letzte, nicht mehr mit Ursprungs-Befehl auflösbare Element eine "3D-Fläche" zu sein, die Microstation nicht interpretieren kann.

Was könnte man tun?

thx,
PG.
P.S: Kennt ACAD 2000 auch schon 3D-Flächen?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KlaK
Ehrenmitglied V.I.P. h.c.
Dipl. Ing. Vermessung, CAD- und Netz-Admin



Sehen Sie sich das Profil von KlaK an!   Senden Sie eine Private Message an KlaK  Schreiben Sie einen Gästebucheintrag für KlaK

Beiträge: 2162
Registriert: 02.05.2006

AutoCAD LandDesktop R2 bis 2004
Civil 3D 2005 - 2019
Plateia, Canalis
Visual Basic

erstellt am: 05. Jul. 2007 20:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für PetGrue 10 Unities + Antwort hilfreich

Hallo PG,
diesmal darf ich wohl als erster herzlich willkommen im Forum schreiben.
Zu Deiner Frage:
Ich sehe nur die Möglichkeit:
Die 3D-Flächen in Regionen (Befehl region) umwandeln.
Zu beachten ist die Systemvariable DELOBJ:
0 = ursprüngliche Objekte werden nicht gelöscht
1 = ursprüngliche Objekte werden gelöscht
Diese Regionen können mit Ursprung aufgelöst werden.
Du erhältst dann ein Netz aus lauter einzelnen Linien mit den entsprechenden Z-Werten.
Danach müßte noch eine Zeichnungsbereinigung (mapclean) durchgeführt werden, da die Linien doppelt vorhanden sind.
Vielleicht hilft`s weiter.
Grüße,
Klaus

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CAD-Huebner
Ehrenmitglied V.I.P. h.c.
Verm.- Ing., ATC-Trainer



Sehen Sie sich das Profil von CAD-Huebner an!   Senden Sie eine Private Message an CAD-Huebner  Schreiben Sie einen Gästebucheintrag für CAD-Huebner

Beiträge: 9554
Registriert: 01.12.2003

Map/Civil 3D 2005-2020, aktuelle SPs.

erstellt am: 05. Jul. 2007 21:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für PetGrue 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von PetGrue:
...
P.S: Kennt ACAD 2000 auch schon 3D-Flächen?

3D Flächen gibt es mindestens seit AutoCAD 9 (das ist jetzt ca. 20 Jahre her).

------------------
Mit freundlichem Gruß

Udo Hübner

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CAD-Huebner
Ehrenmitglied V.I.P. h.c.
Verm.- Ing., ATC-Trainer



Sehen Sie sich das Profil von CAD-Huebner an!   Senden Sie eine Private Message an CAD-Huebner  Schreiben Sie einen Gästebucheintrag für CAD-Huebner

Beiträge: 9554
Registriert: 01.12.2003

Map/Civil 3D 2005-2020, aktuelle SPs.

erstellt am: 05. Jul. 2007 21:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für PetGrue 10 Unities + Antwort hilfreich

Und um 3D-Flächen in Linien umzuwandeln hab ich hier noch ein Lisp-Tool ausgegraben:
Code:
; aus Discussion Groups Index > AutoCAD Groups > Visual LISP, AutoLISP and General Customization Issues > explode 3dface
; Reply From: Jürg Menzi
; Date: Jun/12/04 - 16:56 (; CEST)
; angepasst und erweitert von Udo Hübner 12.12.05
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(VL-LOAD-COM)

(DEFUN MeExplode3DFace (Obj / AcaDoc CurSpc PntCnt PntLst TmpObj)
  (SETQ AcaDoc (VLA-GET-ACTIVEDOCUMENT (VLAX-GET-ACAD-OBJECT))
CurSpc (IF (OR
    (= (GETVAR "TILEMODE") 1)
    (> (GETVAR "CVPORT") 1)
  )
(VLA-GET-MODELSPACE AcaDoc)
(VLA-GET-PAPERSPACE AcaDoc)
      )
PntCnt 0
PntLst (MeTripleUp (VLAX-GET Obj "Coordinates"))
PntLst (IF (EQUAL (CADDR PntLst) (CADDDR PntLst) 1E-8) ;3 edges
(APPEND
  (REVERSE (CDR (REVERSE PntLst)))
  (LIST (CAR PntLst))
)
(APPEND PntLst (LIST (CAR PntLst)))
      )
  )
  (REPEAT (1- (LENGTH PntLst))
    (SETQ TmpObj (VLAX-INVOKE
  CurSpc
  "AddLine"
  (NTH PntCnt PntLst)
  (NTH (SETQ PntCnt (1+ PntCnt)) PntLst)
)
    )
    (VLA-PUT-COLOR TmpObj (VLA-GET-COLOR Obj))
    (VLA-PUT-LAYER TmpObj (VLA-GET-LAYER Obj))
    (VLA-PUT-LINETYPE TmpObj (VLA-GET-LINETYPE Obj))
    (VLA-PUT-LINETYPESCALE TmpObj (VLA-GET-LINETYPESCALE Obj))
    (VLA-PUT-LINEWEIGHT TmpObj (VLA-GET-LINEWEIGHT Obj))
    (VLA-PUT-VISIBLE TmpObj (VLA-GET-VISIBLE Obj))
  )
  (VLA-DELETE Obj)
  (PRINC)
)
;
; -- Function MeTripleUp
; Converts a list to a triple point list.
; Arguments [Type]:
; Lst = List to convert, eg. '(1 2 3 4 5 6) [LIST]
; Return [Type]:
; > Converted list '((1 2 3) (4 5 6)) [LIST]
; Notes:
; Credits to Ken Alexander
;
(DEFUN MeTripleUp (Lst / RetLst TmpLst)
  (IF (SETQ TmpLst Lst)
    (WHILE
      (SETQ RetLst (CONS
    (MAPCAR '(LAMBDA (l) (NTH l TmpLst)) '(0 1 2))
    RetLst
  )
    TmpLst (CDDDR TmpLst)
      )
    )
  )
  (REVERSE RetLst)
)

;; Use:
;; (MeExplode3DFace (VLAX-ENAME->VLA-OBJECT (CAR (ENTSEL))))

(DEFUN C:EX3DFLÄCHE ()
  (PROMPT "\n3DFlächen in Ursprung zerlegen:")
  (IF (SETQ aw (SSGET (LIST (CONS 0 "3DFACE"))))
    (PROGN
      (SETQ anz (SSLENGTH aw))
      (WHILE (>= (SETQ anz (1- anz)) 0)
        (MeExplode3DFace (VLAX-ENAME->VLA-OBJECT (SSNAME aw anz)))
      )
    )
  )
)

(PROMPT "nBefehl EX3DFLÄCHE steht zur Verfügung.")
(PRINC)


------------------
Mit freundlichem Gruß

Udo Hübner

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

PetGrue
Mitglied
Dipl.-Ing. Str.planung


Sehen Sie sich das Profil von PetGrue an!   Senden Sie eine Private Message an PetGrue  Schreiben Sie einen Gästebucheintrag für PetGrue

Beiträge: 54
Registriert: 05.07.2007

C3D 2008 SP2
Win XP Pro SP3
Notebook Acer TravelMate 6592
Intel Core Duo 2 GHz, 2GB RAM

erstellt am: 06. Jul. 2007 07:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Schönen Dank für die Begrüßung und die schnellen Reaktionen.
Eigentlich bin ich kein ACAD-Mensch, deshalb kommen Euch vielleicht einige Fragen ein bisschen simpel vor (z.B. nach den 3D-Flächen). Aber manche Sachen findet man eben nicht so leicht allein 'raus.

Jedenfalls der Umweg über die Umwandlung in Regionen funktioniert gut und ist ja auch nicht allzu kompliziert.
Das Lisp werde ich beizeiten auch 'mal testen.

PG.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz